Bug 1378895 - 8-bpp TIFF images are broken in the resulting PDF document
Summary: 8-bpp TIFF images are broken in the resulting PDF document
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-PDF-API2
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1476237
Blocks: 1369984
TreeView+ depends on / blocked
 
Reported: 2016-09-23 13:18 UTC by Petr Pisar
Modified: 2017-12-10 05:02 UTC (History)
3 users (show)

Fixed In Version: perl-PDF-API2-2.033-3.fc28 perl-PDF-API2-2.033-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-09 22:24:16 UTC


Attachments (Terms of Use)
8-bpp TIFF image (1.88 KB, application/octet-stream)
2016-09-23 13:18 UTC, Petr Pisar
no flags Details
Fix as a dist-git patch (27.15 KB, patch)
2017-07-28 12:17 UTC, Petr Pisar
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
CPAN 118047 None None None 2016-09-23 13:18:39 UTC

Description Petr Pisar 2016-09-23 13:18:39 UTC
Created attachment 1204154 [details]
8-bpp TIFF image

This code creates an PDF with broken 8-bpp TIFF image:

#!/usr/bin/perl
use strict;
use warnings;
use PDF::API2;

my $pdf = PDF::API2->new(-file => 'out.pdf');
my $page = $pdf->page;
$page->mediabox(157, 196);

my $imgobj = $pdf->image_tiff('8.tiff');

my $gfx = $page->gfx;
$gfx->image($imgobj, 0, 0, 157, 196);

$pdf->save;
$pdf->end;

It works fine if the TIFF image has only 1 bit per pixel. I have perl-PDF-API2-2.025-1.fc23.noarch, but it it's broken in all Fedoras.

Comment 1 Fedora End Of Life 2016-11-25 09:35:50 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Petr Pisar 2016-11-25 11:24:21 UTC
Still issue in F24 (perl-PDF-API2-2.028-1.fc24.noarch).

Comment 3 Fedora End Of Life 2017-07-25 23:12:42 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Petr Pisar 2017-07-28 11:54:20 UTC
Upstream proposes a new TIFF support based on Graphics::TIFF that has not yet been packaged.

Comment 5 Petr Pisar 2017-07-28 12:17:50 UTC
Created attachment 1305926 [details]
Fix as a dist-git patch

This adds the proposed upstream fix. It requires the new dependency.

Comment 6 Fedora End Of Life 2017-11-16 14:05:39 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora Update System 2017-11-20 08:44:40 UTC
perl-PDF-API2-2.033-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f23d7901cc

Comment 8 Fedora Update System 2017-11-20 19:53:18 UTC
perl-PDF-API2-2.033-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f23d7901cc

Comment 9 Fedora Update System 2017-11-21 10:56:29 UTC
perl-PDF-API2-2.033-2.fc26 perl-Graphics-TIFF-6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-df8f734c08

Comment 10 Fedora Update System 2017-11-22 11:09:24 UTC
perl-Graphics-TIFF-6-1.fc26, perl-PDF-API2-2.033-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-df8f734c08

Comment 11 Fedora Update System 2017-12-09 22:24:16 UTC
perl-Graphics-TIFF-6-1.fc26, perl-PDF-API2-2.033-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-12-10 05:02:41 UTC
perl-PDF-API2-2.033-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.